Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
dsam::DsamManager Interface Reference

DSAM manager interface. More...

## Classes
struct | DsamAttachedEvent
| Event that is send when a DSAM module has been attached. More...
struct | DsamControllerChangedEvent
| Event that is send when a DSAM controller has been reset or recovery is in progress. More...
struct | DsamDetachedEvent
| Event that is send when a DSAM module has been removed. More...

## Public Member Functions
map< int, DsamDevice > | getDsamDevices ()
| Retrieve the current DSAM devices. More...
DsamDevice::FirmwareVersion | getFirmwareUpdateFileVersion ()
| Get the version of the firmware file provided with the device that will be installed on the DSAM either by explicit request or when the DSAM needs to be recovered. More...

## Detailed Description

DSAM manager interface.

## Member Function Documentation

## ◆ getDsamDevices()

map< int, DsamDevice > dsam::DsamManager::getDsamDevices | ( |  | ) |

Retrieve the current DSAM devices.

Returns
  Map with DSAM devices. Index is the DSAM number (1-based).

## ◆ getFirmwareUpdateFileVersion()

DsamDevice::FirmwareVersion dsam::DsamManager::getFirmwareUpdateFileVersion | ( |  | ) |

Get the version of the firmware file provided with the device that will be installed on the DSAM either by explicit request or when the DSAM needs to be recovered.

Returns
  Firmware version

The documentation for this interface was generated from the following file:

- DsamManager.idl